Bug 523752 (CVE-2009-2813) - CVE-2009-2813 Samba: Share restriction bypass via home-less directory user account(s)
Summary: CVE-2009-2813 Samba: Share restriction bypass via home-less directory user ac...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-2813
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://lists.apple.com/archives/secur...
Whiteboard: impact=low,source=cve,reported=200909...
Depends On: 526658 526659 526660 526661 526663
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 15:00 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-19 15:01:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1529 normal SHIPPED_LIVE Moderate: samba security update 2009-10-27 17:11:52 UTC
Red Hat Product Errata RHSA-2009:1585 normal SHIPPED_LIVE Moderate: samba3x security and bug fix update 2009-11-16 15:39:53 UTC

Description Jan Lieskovsky 2009-09-16 15:00:24 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-2813 to
the following vulnerability:

The SMB (aka Samba) subsystem in Apple Mac OS X 10.5.8, when Windows
File Sharing is enabled, does not properly handle errors in resolving
pathnames, which allows remote authenticated users to bypass intended
sharing restrictions, and read, create, or modify files, in certain
circumstances involving user accounts that lack home directories.

References:
-----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-2813
http://support.apple.com/kb/HT3865
http://lists.apple.com/archives/security-announce/2009/Sep/msg00004.html
http://secunia.com/advisories/36701

Comment 2 Jan Lieskovsky 2009-09-16 15:34:20 UTC
This issue does NOT affect the version of samba package, as shipped
in Red Hat Enterprise Linux 3.

This issue affects the versions of samba package, as shipped
in Red Hat Enterprise Linux 4 and 5.

--

This issue affects the latest versions of the samba package,
as shipped with Fedora releases of 10 and 11 (samba-3.2.14-0.35.fc10
and samba-3.4.1-0.41.fc11).

Please fix.

Comment 8 Tomas Hoger 2009-10-01 10:05:58 UTC
Upstream advisory:
  http://www.samba.org/samba/security/CVE-2009-2813.html

Fixed in upstream versoins: 3.0.37, 3.2.15, 3.3.8 and 3.4.2

Comment 11 Fedora Update System 2009-10-03 18:57:30 UTC
samba-3.2.15-0.36.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-10-03 18:59:20 UTC
samba-3.4.2-0.42.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2009-10-27 17:12:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1529 https://rhn.redhat.com/errata/RHSA-2009-1529.html

Comment 14 errata-xmlrpc 2009-11-16 15:40:01 UTC
This issue has been addressed in following products:

  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1585 https://rhn.redhat.com/errata/RHSA-2009-1585.html


Note You need to log in before you can comment on or make changes to this bug.